Can I use the Magic Trackpad 2 with a mid-2010 iMac?

Follow this Question

1 Answer from the Community

  • The mid-2010 iMac has Bluetooth 2.1. The requirements listed here show the Magic Trackpad 2 requires Bluetooth 4. While mice and keyboards really shouldn't need Bluetooth 4, it could be that this trackpad gets such great battery life because it only works with low-energy Bluetooth (which is version 4). It's probably safer not to buy this for a pre-BT 4 Mac.

    Was this useful? Answer 1

    0 of 0 people found this useful

Similar Questions

See more Similar Questions